Bug 1248486 - (CVE-2015-4177) CVE-2015-4177 kernel: Race conditions in collect_mounts
CVE-2015-4177 kernel: Race conditions in collect_mounts
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150701,repor...
: Security
Depends On:
Blocks: 1224245
  Show dependency treegraph
 
Reported: 2015-07-30 07:46 EDT by Wade Mealing
Modified: 2017-08-25 08:28 EDT (History)
31 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was discovered in the kernel's collect_mounts function. If the kernel's audit subsystem called collect_mounts to audit an unmounted path, it could panic the system. With this flaw, an unprivileged user could call umount(MNT_DETACH) to launch a denial-of-service attack.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-25 08:28:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2015-07-30 07:46:36 EDT
The audit subsystem can call collect_mounts, which if attempting to audit
a mountpoint which is no longer mounted can panic the system.

Upstream patch:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=cd4a40174b71acd021877341684d8bb1dc8ea4ae

CVE Request:
http://seclists.org/oss-sec/2015/q2/640
Comment 4 Wade Mealing 2015-08-19 23:51:34 EDT
Statement:

This issue does not affect the Linux kernels as shipped with Red Hat Enterprise Linux 5, 6, MRG-2, realtime and arm-kernels.

The issue is not currently planned to be addressed in Red Hat Enterprise Linux 7.

Note You need to log in before you can comment on or make changes to this bug.